using System;

namespace Finale
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            Int64 n = Int64.Parse(s[0]);
            Int64 m = Int64.Parse(s[1]);

            if (n == 1)
            {
                if (m == 1)
                    Console.WriteLine(1);
                else
                    Console.WriteLine(m);
            }
            else if (m == 1)
                Console.WriteLine(n);
            else
                Console.WriteLine(n * 2 + (m - 2) * 2 + (n - 2) * (m - 2) / 2);
        }
    }
}